=== debian/changelog ===
gpac (0.5.0+svn5194~dfsg1-3ubuntu3) utopic; urgency=medium

  * Rebuild against libav11.

 -- Colin Watson <cjwatson@ubuntu.com>  Thu, 04 Sep 2014 21:02:47 +0100

gpac (0.5.0+svn5194~dfsg1-3ubuntu2) utopic; urgency=medium

  * implicit-declarations.patch: Include gpac/network.h to fix implicit
    declarations of gf_url_concatenate that become pointer conversions.

 -- Adam Conrad <adconrad@ubuntu.com>  Mon, 02 Jun 2014 21:39:21 -0600

gpac (0.5.0+svn5194~dfsg1-3ubuntu1) utopic; urgency=low

  * Merge from debian. Remaining changes:
    - Update build-deps for the xmlrpc-c 1.33.06 transition.

 -- Reinhard Tartler <siretart@tauware.de>  Sat, 31 May 2014 17:34:32 -0400

gpac (0.5.0+svn5194~dfsg1-3) unstable; urgency=low

  * Removed Andres Meja from Uploaders list. Thanks Andres for your
    contributions on the gpac package. Closes: 743529
  * Removed unused BD on libwxgtk2.8-dev. Thanks to Olly Betts
    <olly@survex.com> for pointing this out. Closes: #748715
  
 -- Reinhard Tartler <siretart@tauware.de>  Thu, 29 May 2014 19:57:10 -0400

gpac (0.5.0+svn5194~dfsg1-2) unstable; urgency=low

  * Upload to unstable

 -- Reinhard Tartler <siretart@tauware.de>  Sun, 11 May 2014 19:00:36 -0400

gpac (0.5.0+svn5194~dfsg1-1) experimental; urgency=low

  * New upstream version 0.5.0+svn5194~dfsg:
    - now decodes 10bit HEVC video
  * Add patch to export gf_isom_set_pixel_aspect_ratio. This allows x264
    to link dynamically against libgpac.so.3
  * Refresh patches
  * Upload to unstable

 -- Reinhard Tartler <siretart@tauware.de>  Sun, 06 Apr 2014 12:11:08 -0400

gpac (0.5.0+svn5104~dfsg1-1) experimental; urgency=low

  * New  upstream version 0.5.0+svn5104~dfsg1:
    - src/utils/sha1.c is relicensed under LGPLv2.1, Closes: #730759
  * Don't install modules in multi-arch directories, Closes: #730497
  * Add libusb-1.0.0-dev headers because libfreenect requires this
  * Fix install rule
  * Follow upstream soname bump
    - Drop the symbols file for now until it has been revised thourougly
  * Let binaries produce the correct svn revision
  * Refresh patches
  * Patch and build against libav10, Closes: #739321
  * Bump standards version, no changes necessary

 -- Reinhard Tartler <siretart@tauware.de>  Sat, 22 Feb 2014 18:15:00 +0000

gpac (0.5.0+svn4288~dfsg1-4ubuntu2) utopic; urgency=high

  * No change rebuild against libopenjpeg5.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Sun, 27 Apr 2014 02:42:06 +0100
