=== applications/dashcast/Makefile ===
--- 
+++ 
@@ -20,8 +20,13 @@
 CFLAGS+=-DGPAC_READ_ONLY
 endif
 
-ifeq ($(CONFIG_LIBAV),yes)
+ifneq ($(CONFIG_LIBAV),no)
 CFLAGS+=-DGPAC_USE_LIBAV
+endif
+
+ifneq ($(CONFIG_LIBAVRESAMPLE),no)
+CFLAGS+=-DDC_AUDIO_RESAMPLER
+LINKLIBS+=-lavresample
 endif
 
 #common obj
