=== debian/changelog ===
gpac (0.5.0+svn5324~dfsg1-1+deb8u5) jessie-security; urgency=high

  * Non-maintainer upload by the LTS Security Team.
  * CVE-2019-20161: heap-based buffer overflow in the function
    ReadGF_IPMPX_WatermarkingInit() in odf/ipmpx_code.c.
  * CVE-2019-20162: heap-based buffer overflow in the function
    gf_isom_box_parse_ex() in isomedia/box_funcs.c.
  * CVE-2019-20163: NULL pointer dereference in the function
    gf_odf_avc_cfg_write_bs() in odf/descriptors.c.
  * CVE-2019-20165: NULL pointer dereference in the function
    ilst_item_Read() in isomedia/box_code_apple.c.
  * CVE-2019-20170: invalid pointer dereference in the function
    GF_IPMPX_AUTH_Delete() in odf/ipmpx_code.c.
  * CVE-2019-20171: memory leaks in metx_New in
    isomedia/box_code_base.c and abst_Read in
    isomedia/box_code_adobe.c.
  * CVE-2019-20208: dimC_Read in isomedia/box_code_3gpp.c in GPAC
    0.8.0 has a stack-based buffer overflow.
  * CVE-2019-20168: use-after-free in the function
    gf_isom_box_dump_ex() in isomedia/box_funcs.c.
  * CVE-2019-20169: use-after-free in the function trak_Read() in
    isomedia/box_code_base.c.

 -- Sylvain Beucler <beuc@debian.org>  Mon, 20 Jan 2020 13:17:16 +0100

gpac (0.5.0+svn5324~dfsg1-1+deb8u4) jessie-security; urgency=high

  * Non-maintainer upload by the LTS Team.
  * CVE-2019-12481, CVE-2019-12482
    NULL pointer dereferences
  * CVE-2019-12483
    heap-based buffer overflow

 -- Thorsten Alteholz <debian@alteholz.de>  Sun, 30 Jun 2019 19:17:06 +0200

gpac (0.5.0+svn5324~dfsg1-1+deb8u3) jessie-security; urgency=high

  * Non-maintainer upload by the LTS Team.
  * CVE-2019-11221
    Fix buffer overflow issue when using vsprintf().
  * CVE-2019-11222
    Fix buffer overflow when using the crypt feature with a crafted file.

 -- Thorsten Alteholz <debian@alteholz.de>  Thu, 25 Apr 2019 19:17:06 +0200

gpac (0.5.0+svn5324~dfsg1-1+deb8u2) jessie-security; urgency=high

  * Non-maintainer upload by the LTS Team.
  * CVE-2018-20763, CVE-2018-20762, CVE-2018-20761
    CVE-2018-20760, CVE-2018-7752
    Several buffer overflows have been detected in different functions.

 -- Thorsten Alteholz <debian@alteholz.de>  Wed, 27 Feb 2019 19:17:06 +0100

gpac (0.5.0+svn5324~dfsg1-1+deb8u1) jessie-security; urgency=high

  * Non-maintainer upload by the LTS Team.
  * Fix CVE-2018-13005: Buffer over-read in urn_Read in isomedia/box_code_base.c
  * Fix CVE-2018-13006: Buffer over-read in hdlr_dump in isomedia/box_dump.c

 -- Brian May <bam@debian.org>  Tue, 17 Jul 2018 17:21:06 +1000

gpac (0.5.0+svn5324~dfsg1-1) unstable; urgency=medium

  * New upstream snapshot.
  * Refresh patches.
  * debian/copyright:
    - Improve copyright and licensing information on src/utils/unicode.c.
      Thanks to bastien ROUCARIES for pointing this out. (Closes: #754732)
    - Update debian/* copyright holders's information.
    - Mention debian/copyright in debian/source/lintian-overrides to
      avoid lintian's license-problem-non-free-RFC error.

 -- Alessio Treglia <alessio@debian.org>  Thu, 31 Jul 2014 14:13:58 +0100

gpac (0.5.0+svn5294~dfsg1-1) unstable; urgency=low

  * New upstream snapshot.
  * Refresh patches.

 -- Alessio Treglia <alessio@debian.org>  Tue, 08 Jul 2014 13:04:26 +0100

gpac (0.5.0+svn5194~dfsg1-4) unstable; urgency=low

  * Drop build-dep on libxmlrpc-c3-dev.

 -- Alessio Treglia <alessio@debian.org>  Mon, 07 Jul 2014 16:41:09 +0100
