=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: gpac
 Section: graphics
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
+Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
 Uploaders:
  Reinhard Tartler <siretart@tauware.de>,
  Alessio Treglia <alessio@debian.org>
@@ -31,7 +30,6 @@
  libusb-1.0-0-dev,
  libvorbis-dev,
  libxml2-dev,
- libxmlrpc-core-c3-dev,
  libxv-dev,
  libxvidcore-dev
 Standards-Version: 3.9.5
